Subject: Re: [PATCH v3 0/5] Avoid spawning gzip in git archive

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Jul 2022 10:47:28 -0700

Jeff King <[email-masked]> writes:

> That will spend quite a lot of time doing hash-lookups for each tree
> entry. A better raw zlib test might be:
>
>   git cat-file --batch --batch-all-objects --unordered >/dev/null
>
> which will just dump each object, and should mostly be zlib and delta
> reconstruction (the --unordered is important to hit the deltas in the
> right order).

;-)

I like --unordered has the meaning "use the order Git likes" (which
is probably the packfile offset order, which we optimize for
minimizing seek during delta reconstruction).